org.codehaus.plexus.metadata.gleaner

## Interface ClassComponentGleaner

All Known Implementing Classes:
  AnnotationComponentGleaner

    public interface ClassComponentGleaner

Interface for component gleaners which glean off of compiled classes..

Version:
  $Id: ClassComponentGleaner.java 7966 2008-12-25 15:25:22Z bentmann $

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`ComponentDescriptor<?>` `glean(java.lang.String className, java.lang.ClassLoader cl)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### glean

    ComponentDescriptor<?> glean(java.lang.String className,
                               java.lang.ClassLoader cl)
                                 throws ComponentGleanerException

Throws:
  `ComponentGleanerException`